require(["ModalView", "Confirm", "AreaSelect", "Validate"], function(e, n, t, a) {
	var o, i = new a;
	o = new e("apply-for-shop-open", $(document.body), function() {
		this.$container.find(".apply-for-shop-open-container").height(window.$app.screenHeight), this.setValidate().bindSwipeForWX(), document.addEventListener("touchmove", function(e) {
			e.preventDefault()
		}, !1)
	}, {
		page: 0,
		totalPage: $(".apply-for-shop-open-container article").length
	}), o.addModalEvent({
		bindSwipeForWX: function() {
			return document.body.style.hasOwnProperty("transform") || this.$container.find(".apply-for-shop-open-container").addClass("use-top"), this
		},
		setValidate: function() {
			return i.addVerifyItem("apply-form", $("section"), {
				name: {
					rules: "length[2,20]",
					content: "请输入您的用户名"
				},
				phone: {
					rules: "isPhone",
					content: "请输入正确的手机号"
				},
				area: {
					rules: "length[5,50]",
					content: "请选择您所在的省市区"
				},
				address: {
					rules: "length[5,50]",
					content: "请输入您的小区地址"
				}
			}, function(e, n, t) {
				n || o.set("inputErrorMsg", t)
			}), this
		},
		alertTip: function(e) {
			var t = this.get("confirmTip"),
				a = {
					content: e || "",
					cancelTitle: "我知道了"
				};
			return t ? t.show() : t = new n(a), this
		},
		getAddressSelect: function() {
			var e = this.get("areaSelect"),
				n = this;
			return e ? e.show() : (e = new t({
				save: function(e) {
					n.$container.find("input[name='area']").val([e.province.name, e.city.name, e.area.name].join(" "))
				}
			}).show(), this.set("areaSelect", e)), this
		},
		jumpToPage: function(e) {
			var n = -1 * e * 100 + "%";
			return document.body.style.hasOwnProperty("transform") ? this.$container.find(".apply-for-shop-open-container").css({
				transform: "translateY(" + n + ")"
			}) : this.$container.find(".apply-for-shop-open-container").animate({
				top: n
			}, 500), this.set("page", e), this
		},
		saveInfo: function(e, n, t, a) {
			return this.pipe("http://www.languysh.com/Api/Wuyetong/wyApply", {
				name: e,
				phone: n,
				address: (t + a).replace(/\s*/g, "")
			}, "post").then(function(e) {
				e.error ? o.alertTip("抱歉，提交失败") : o.alertTip("申请成功")
			}), this
		}
	}).addViewEvent({
		".apply-for-shop-open-container::swipeUp": function() {
			var e = o.get("page") + 1;
			e < o.get("totalPage") && o.jumpToPage(e)
		},
		".apply-for-shop-open-container::swipeDown": function() {
			var e = o.get("page") - 1;
			e >= 0 && o.jumpToPage(e)
		},
		"input[name='area']::tap": function() {
			o.getAddressSelect()
		},
		".btn[func='submit']::tap": function() {
			var e = i.validateStatus("apply-form", {
				handleCallback: !0
			});
			e ? o.saveInfo(o.$container.find("input[name='name']").val(), o.$container.find("input[name='phone']").val(), o.$container.find("input[name='area']").val(), o.$container.find("input[name='address']").val()) : o.alertTip(o.get("inputErrorMsg"))
		}
	}).init()
});