
var data=[];
var w,t;
var myreg = /^(((1[3-9][0-9]{1})|159|153)+\d{8})$/; //myreg.test(mobile);

function heights(){
	if('iOS'==plus.os.name){
		return plus.screen.resolutionHeight*plus.screen.scale/2 - 115;
	}else{
		return plus.screen.resolutionHeight - 155;
	}
	
}
 

function GetRequest(urls) {
   var url = location.search; //获取url中"?"符后的字串
   var theRequest = new Object();
   if (url.indexOf("?") != -1) {
      var str = url.substr(1);
      strs = str.split("&");
      for(var i = 0; i < strs.length; i++) {
         theRequest[strs[i].split("=")[0]]=unescape(strs[i].split("=")[1]);
      }
   }
   return theRequest;
} 

function showAlert(o){
	plus.nativeUI.alert( o, function(){
		//console.log( "User pressed!" );
	}, "系统提示", "OK" );
} 

var fish = {
	innerHTML:function(dom,content){ 
		document.querySelector(dom).innerHTML = content;
	},
	inArray:function(array,key,value){ 
		for(var i=0; i<array.length; i++){
			if(array[i][key] == value){
				return i;
			}
		}
	}, 
	viewopen:function(url,exp,type,anishow,styles){ 
		var windows = plus.webview.getWebviewById(url+type);
		if(windows){
			windows.show('slide-in-bottom',200);
		}else{
		anishow = anishow=='' ? 'slide-in-bottom' : anishow;
		mui.openWindow({ url:url,
    					 id:url+type,
    					 extras: exp,
    					 styles:styles,
    					 show:{
						      autoShow:true,
						      aniShow:anishow,
						      duration:200
						    },
						     waiting:{
						      autoShow:true,
						      title:'正在加载...'
    						}
				});
		}
	},
	ajaxlogin:function(u,p,wid){
		if(u == ''){showAlert('用户名不能为空'); return;}
		if(p == ''){showAlert('密码不能为空'); return;}
		if(p.length < 6){showAlert('密码不能小于6位'); return;} 
		var imei = plus.device.imei;
		var uuid = plus.device.uuid;
		plus.nativeUI.showWaiting();
		mui.post(url+'/Api/Users/user_login',{action:'login',loginRemark:plus.os.name,client_id:imei,uniqids:uuid,username:u,password:p,type:'ifish'},function(result){
			//console.log(result); 
			if(result.status == 1){
				var uinfo = {};
				uinfo.access_token = result.data.access_token;
				uinfo.expires = result.data.expires;
				uinfo.userid = result.data.userid; 
				fish.getclectinfo(result.data.userid,1);
				plus.storage.setItem('uinfo',JSON.stringify(uinfo));
				var eventlogin = plus.webview.getWebviewById(wid);
				mui.fire(eventlogin,'login',{login:true}); 
				plus.navigator.setUserAgent(result.access_token+" Application/Fish"); 
			}
			
			plus.nativeUI.toast(result.msg);
			plus.nativeUI.closeWaiting();
		});
	},
	ckuser:function(uri){
	  var userid = plus.storage.getItem('uinfo');
	  if(userid){
	  	return JSON.parse(userid);
	  }else{
	  	return 0;
	  }
	},
	HTMLDecode:function(input){
		var converter = document.createElement("DIV"); 
		    converter.innerHTML = input; 
		var output = converter.innerText; 
			converter = null; 
		return output; 
	},
	reginfo:function(username,tell,password,passwords,next,first){ 
		var uname = document.getElementById(username).value;
		var utell = document.getElementById(tell).value;
		var upassword = document.getElementById(password).value;
		var upasswords = document.getElementById(passwords).value;
		var unext = document.getElementById(next);
		var ufirst = document.getElementById(first);
		if(uname==''){showAlert('用户名不能为空');return false;}
		if(/.*[\u4e00-\u9fa5]+.*$/.test(uname)){showAlert('用户名不能包含中文');return false;}
		if(utell==''){showAlert('手机号不能为空');return false;}
		if(!myreg.test(utell)){showAlert('请输入有效的手机号码'); return false;}
		if(upassword==''){showAlert('密码不能为空');return false;}
		if(upassword.length < 6){showAlert('密码不能小于6位');return false;}
		if(upasswords==''){showAlert('请输入确认密码');return false;}
		if(upasswords!=upassword){showAlert('确认密码不一样');return false;}
		//fish.verifyImg();
		ufirst.style.display = 'none';
		unext.style.display = 'block';
		document.getElementById('tells').value = utell;
	}, 
	goback:function(next,first){
	   var unext = document.getElementById(next);
	   var ufirst = document.getElementById(first);
	   ufirst.style.display = 'block';
	   unext.style.display = 'none';
	}, 
	register:function(username,tell,password,verify){
		var verifynum = document.getElementById(verify).value;
		var uname = document.getElementById(username).value;
		var utell = document.getElementById(tell).value;
		var upassword = document.getElementById(password).value;
        var cknum = new RegExp("^[0-9]*$");
        if(verifynum == '' || !cknum.test(verifynum) || verifynum.length<6){showAlert('输入有效验证码');return false;}
		plus.nativeUI.showWaiting('数据提交中..');
		var imei = plus.device.imei;
		var uuid = plus.device.uuid;
		var addlocal =  plus.storage.getItem('dpjwd');
		var addsb = plus.os.name+','+plus.os.version;
		mui.post(url+'/index.php/Win/OauthUser/ajaxregistr',{username:uname,userpass:upassword,usertel:utell,proving:verifynum,imei:imei,uuid:uuid,addsb:addsb,addlocal:addlocal,callback:'/Connect2.0/example/oauth/callback.php',type:'ifish'},function(result){
			if(result.state){
				showAlert(result.reginfo);
				plus.nativeUI.closeWaiting();
				plus.webview.currentWebview().close();
			}else{
				showAlert(result.reginfo);
				plus.nativeUI.closeWaiting();
			}
		});
	}, 
	getLocation:function(_callback,setitem){
		//获取地理位置代码 
				function geoInf( position ) {
					var str = "";
					var timeflag = position.timestamp;//获取到地理位置信息的时间戳；一个毫秒数；
					var codns = position.coords;//获取地理坐标信息；
					var lat = codns.latitude;//获取到当前位置的纬度；
					var longt = codns.longitude;//获取到当前位置的经度
					if(setitem!='no'){
	                    plus.storage.setItem('city',position.address.city);//城市
	                    plus.storage.setItem('district',position.address.district);//区
	                    plus.storage.setItem('street',position.address.street);//街道
	                    plus.storage.setItem('postalCode',position.address.postalCode+'');
	                    plus.storage.setItem('citycode',position.address.citycode+'');
	                    plus.storage.setItem('poiName',position.address.poiName);//POI信息
	                    plus.storage.setItem('dpjwd',longt+','+lat);
                    }
                    //http://api.map.baidu.com/direction/v1/routematrix?output=json&origins='+lat+','+longt+'&destinations=36.599895,114.484464&ak=131df02b86cda77d69f294033c0b547e&mode=walking&coord_type=gcj02
                    //alert(parseInt(GetShortDistance(longt,lat, 114.484464,36.599895)));
                    //http://api.map.baidu.com/geocoder/v2/?ak=131df02b86cda77d69f294033c0b547e&location='+lat+','+longt+'&output=json&pois=1
                    mui.get('http://api.map.baidu.com/geocoder/v2/?ak=131df02b86cda77d69f294033c0b547e&location='+lat+','+longt+'&output=json&pois=1',"", 
                         function(data){
                         	var obj = eval("("+data+")");
                            if(setitem!='no'){
	                            	plus.storage.setItem('city',obj.result.addressComponent.city);
	                            plus.storage.setItem('district',obj.result.addressComponent.district);
	                            plus.storage.setItem('street',obj.result.addressComponent.street);
	                            plus.storage.setItem('poiName',obj.result.pois[0].name);
	                         	plus.storage.setItem('formatted_address',obj.result.formatted_address);
	                         	plus.storage.setItem('citycode',obj.result.cityCode+'');
	                            plus.storage.setItem('dpjwd',longt+','+lat);
                            }
                         	if(typeof _callback == 'function'){
							 _callback(1,obj);
							}
                         },'JSON'); 
				}  
			    plus.geolocation.getCurrentPosition( geoInf, function ( e ) {
					if(typeof _callback == 'function'){
					 _callback(0,e);
					}
                },{provider:'baidu'});
				//获取地理位置代码
	},
	getclectinfo : function(uid,utyp){
    
	    var uuid = plus.device.uuid; 
	    var driveinfo = plus.push.getClientInfo();
	    if("iOS"==plus.os.name){
	        types = 1;
	    }else{
	        types = 2;
	    }  
	    
	    drinfo = plus.device.vendor +' '+ plus.device.model+' 系统版本:'+plus.os.version+' '+plus.os.language;
	    mui.post(url+"/Api/Users/SendMobileInfo", {token:driveinfo.token,clientid:driveinfo.clientid,appid:driveinfo.appid,appkey:driveinfo.appkey,uid:uid,uuid:uuid,type:types,driveinfos:drinfo,usertype:utyp},function(result){ }); 
	}
};