$(function() {

    var headerClone = $('#header').clone();
    $(window).scroll(function(){
        if ($(window).scrollTop() <= $('#main-container1').height()) {
            headerClone = $('#header').clone();
            $('#header').remove();
            headerClone.addClass('transparent').removeClass('');
            headerClone.prependTo('.nctouch-home-top');
        } else {
            headerClone = $('#header').clone();
            $('#header').remove();
            headerClone.addClass('').removeClass('transparent');
            headerClone.prependTo('body');
        }
    });
    $.ajax({
        url: AppApiUrl + "/Index/getAppIndexContent",
        type: 'get',
        dataType: 'jsonp',
        success: function(result) { 
		    result = JSON.parse(result);
            var data = result.datas; 
            var html = '';

            $.each(data, function(k, v) {
                $.each(v, function(kk, vv) {
                    switch (kk) {
                        case 'adv_list':
                        case 'home3':
                            $.each(vv.item, function(k3, v3) {
                                vv.item[k3].url = buildUrl(v3.type, v3.data);
                                vv.item[k3].type = v3.type;
                            });
                            break;

                        case 'home1':
                            vv.url = buildUrl(vv.type, vv.data);
                            vv.type = vv.type;
                            break;

                        case 'home2':
                        case 'home4':
                            vv.square_url = buildUrl(vv.square_type, vv.square_data);
                            vv.rectangle1_url = buildUrl(vv.rectangle1_type, vv.rectangle1_data);
                            vv.rectangle2_url = buildUrl(vv.rectangle2_type, vv.rectangle2_data);
                            vv.square_type = vv.square_type;
                            vv.rectangle1_type = vv.rectangle1_type;
                            vv.rectangle2_type = vv.rectangle2_type;
                            break;
                        case 'goods':
                            $.each(vv.item, function(k3, v3) {
                                vv.item[k3].url = buildUrl('goods', v3.goods_id); 
                            });
                            break;
                    }
                    if (k == 0) {
                        $("#main-container1").html(template.render(kk, vv));
                    } else {
                        html += template.render(kk, vv);
                    }
                    return false;
                });
            });

            $("#main-container2").html(html);

            $('.adv_list').each(function() {
                if ($(this).find('.item').length < 2) {
                    return;
                }

                Swipe(this, {
                    startSlide: 2,
                    speed: 400,
                    auto: 3000,
                    continuous: true,
                    disableScroll: false,
                    stopPropagation: false,
                    callback: function(index, elem) {},
                    transitionEnd: function(index, elem) {}
                });
            });
            
            var bullets = document.getElementById('nctouch-home-nav-position').getElementsByTagName('li');
            $('.nctouch-home-nav').each(function() {
                Swipe(this, {
                    startSlide: 0,
                    speed: 400,
                    auto: false,
                    continuous: false,
                    disableScroll: false,
                    stopPropagation: false,
                    callback: function(index, elem) {
                    		  var i = bullets.length;
					      while (i--) {
					        bullets[i].className = ' ';
					      }
					      bullets[index].className = 'on';
                    },
                    transitionEnd: function(index, elem) {}
                });
            }); 
            
          	mui.init();
			mui.plusReady(function(){
				plus.webview.currentWebview().setStyle({scrollIndicator:"none"});
				mui('#main-container2,#main-container1,.nctouch-home-nav').on('tap','a',function(){
					var urls = this.getAttribute('href');
					var type = this.getAttribute('data-type');
					var goUrl = type == 'newWindow' ? urls : "webview_embed.html";
					var userinfo = plus.storage.getItem('uinfo');
					if((userinfo == null && type == 'express') || (userinfo == '' && type == 'express')){
						//获得主页面的webview
						var main = plus.webview.currentWebview().parent();
						//触发主页面的gohome事件
						mui.fire(main,'login');
						return false;
					}
					if(type != 'newWindow'){ 
					    var filearray = new Object;
						filearray['goods'] = 'goods_Details';
						filearray['keyword'] = 'goods_list';
						filearray['express'] = 'express';
						filearray['shoplist'] = 'shoplist'; 
						var obj={};
						obj.urls= urls;
					    obj.types=1;
					    obj.jsfile=filearray[type];
					    obj.muibar = this.getAttribute('data-display');
						obj.titles = this.getAttribute('data-title'); 
				 	}
				  	var imgvieWindow = plus.webview.create( goUrl , goUrl ,{popGesture:'close',AnimationTypeShow:'pop-in',scrollIndicator:'none'},obj);
				    imgvieWindow.onloaded=function(){
						imgvieWindow.show('pop-in');	
					};
					return;
				});
				
				plus.navigator.closeSplashscreen();
				
				mui.goSearch = function(goUrl,type){
					var obj={};
					obj.urls= goUrl;
				    obj.types=1; 
				    obj.jsfile='goods_list';  
					var imgvieWindow = plus.webview.create( 'webview_embed.html' , 'webview_embed.html' ,{popGesture:'close',AnimationTypeShow:'pop-in',scrollIndicator:'none'},obj);
				    imgvieWindow.onloaded=function(){
						imgvieWindow.show('pop-in');	
					};
					return;
				}
				
			});
        }
    });

});
